libsocket6-perl_0.25-1+b1_amd64.deb


Advertisement

Description

libsocket6-perl - Perl extensions for IPv6

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libsocket6-perl
Package version 0.25
Package release 1+b1
Package architecture amd64
Package type deb
Installed size 114 B
Download size 27.81 KB
Official Mirror ftp.br.debian.org
The Socket6 module supports getaddrinfo() and getnameinfo() to intend
to enable protocol independent programming. If your environment
supports IPv6, IPv6 related defines such as AF_INET6 are included.

Alternatives

Package Version Architecture Repository
libsocket6-perl_0.25-1+b1_i386.deb 0.25 i386 Debian Main
libsocket6-perl - - -

Requires

Name Value
libc6 >= 2.4
perl >= 5.20.0-4
perlapi-5.20.0 -

Download

Type URL
Binary Package libsocket6-perl_0.25-1+b1_amd64.deb
Source Package libsocket6-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsocket6-perl deb package:
    # sudo apt-get install libsocket6-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.20/Socket6.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Socket6/Socket6.so
/usr/share/doc/libsocket6-perl/changelog.Debian.amd64.gz
/usr/share/doc/libsocket6-perl/changelog.Debian.gz
/usr/share/doc/libsocket6-perl/changelog.gz
/usr/share/doc/libsocket6-perl/copyright
/usr/share/doc/libsocket6-perl/examples/ftpmirror-1.96.diff.gz
/usr/share/doc/libsocket6-perl/examples/im-140.diff.gz
/usr/share/man/man3/Socket6.3pm.gz

Changelog

2014-02-16 - Daniel Lintott <daniel@serverb.co.uk>
libsocket6-perl (0.25-1) unstable; urgency=low
* Imported Upstream version 0.25
* New maintainer (Closes: #738885)
* Bump standards version to 3.9.5 (no changes)
* [11eaa0be] debian/control
+ Add homepage field
* Install socket6(3) manpage (Closes: #694083)
* [8ee3ba01] Import patch to add missing IPv6 constants 
(Closes: #569981 LP: #522191) 
Thanks to David Madore for the patch
* [c5f9120a] Update debian/watch
* [71f53f90] debian/control 
+ Add VCS fields
* [24b9fbe0] debian/copyright
+ Convert to machine readable format
* [a2d90858] Use https://metacpan.org/release/Socket6 in 
d/control, d/copyright, d/watch
* [1a66281f] Remove obsolete postinst script
* [748e7406] Correct licence name to BSD-3-Clause
* [c0eeedec] Complete copyrights for Upstream sources
* [f01ff881] Move debian/* copyright to end and complete all 
copyright holders
* [e4c2b323] Reduce debian/rules to minimal format
* [ef54d313] Add debian/clean
* [60cc876d] Add debian/libsocket6-perl.examples
* [362ba811] debian/control   
+ Modify build-depends
+ Remove perl-base from Depends
+ Modify description to include the module name
* [a8b2cf87] Remove unneeded README.Debian
* [b527fae1] Remove override and add build-system to debian/rules
2013-09-22 - Robert Luberda <robert@debian.org>
libsocket6-perl (0.23+ds-0+nmu1) unstable; urgency=low
[ Cyril Brulebois ]
* Non-maintainer upload.
* Switch to upstream tarball, using “ds” for “debian source” as a
suffix since dak wouldn't appreciate different tarballs having
the same name.
* Add watch file.
* Drop dbs from build-depends, and kill some dbs bits in debian/rules,
adjusting clean accordingly (closes: #576062).
[ Robert Luberda ]
* Prepare this NMU based on Cyril's version from #576062 in order to
get rid of dbs build-dependency. Upload it to DELAYED/10.
* Switch to the 3.0 (quilt) source format.
* Switch to debhelper v9 and its tiny rules format.
* Bump Standards-Version to 3.9.4.
2010-01-23 - Masahito Omote <omote@debian.org>
libsocket6-perl (0.23-1) unstable; urgency=low
* New upstream release. (closes: #531009)
- Fix "libsocket6-perl AF_INET6 and PF_INET6 check failed" (Closes: #505431)
* Standards-Version: 3.8.3.0.
* debian/preinst,postrm: removed because this file does not make sense.
2008-05-12 - Masahito Omote <omote@debian.org>
libsocket6-perl (0.20-1) unstable; urgency=low
* New upstream release. (closes: Bug#480464)
* Standards-Version: 3.7.3.0.
* debian/compat: set 7 and Build-Depends: debhelper (>=7).
2006-03-17 - Masahito Omote <omote@debian.org>
libsocket6-perl (0.19-1) unstable; urgency=low
* New upstream release. (closes: Bug#357169)
* Standards-Version: 3.6.2.2
2004-12-12 - Masahito Omote <omote@debian.org>
libsocket6-perl (0.17-1) unstable; urgency=low
* New upstream release. (closes: Bug#284823)
* Standards-Version: 3.6.1.1
2003-08-10 - Masahito Omote <omote@debian.org>
libsocket6-perl (0.11.99-1) unstable; urgency=low
* Rafael's getipnodeby{name|addr} support version. Because I cannot judge
he decide to fork of Socket6 in CPAN, so I decide to version to 0.11.99.
New libio-socket-inet6-perl needs Rafael's Socket6.
(closes: Bug#204389)
* Drop my INET6.pm. These are inherited to libio-socket-inet6-perl.
* Build-Depends: dbs.
* Standards-Version: 3.6.0
2003-05-28 - Masahito Omote <omote@debian.org>
libsocket6-perl (0.11-6) unstable; urgency=low
* Move INET6.pm to examples for transition. I prepare to ITP
libio-socket-inet6-perl by Rafael Martinez as soon as possible
after entering in CPAN.
(See http://www.ee.ethz.ch/~slist/mrtg-developers/msg00172.html
and http://www.ee.ethz.ch/~slist/mrtg-developers/msg00174.html
for more details)
If you want to use INET6.pm please copy it by yourself.
* Bump Standards-Version to 3.5.10.0.
* Move section from interpreters to perl.

See Also

Package Description
libsocketcan-dev_0.0.9+git20140207-1_amd64.deb library to control some basic functions in SocketCAN from userspace
libsocketcan-doc_0.0.9+git20140207-1_all.deb library to control some basic functions in SocketCAN from userspace
libsocketcan2_0.0.9+git20140207-1_amd64.deb library to control some basic functions in SocketCAN from userspace
libsocl-1.1-1_1.1.3+dfsg-3_amd64.deb Task scheduler for heterogeneous multicore machines
libsodium-dev_1.0.0-1_amd64.deb Network communication, cryptography and signaturing library - headers
libsodium13_1.0.0-1_amd64.deb Network communication, cryptography and signaturing library
libsofa1-dev_1.0~beta4-9_amd64.deb Simulation Open Framework Architecture - development
libsofa1_1.0~beta4-9_amd64.deb Simulation Open Framework Architecture - runtime
libsofia-sip-ua-dev_1.12.11+20110422.1-2_amd64.deb Sofia-SIP library development files
libsofia-sip-ua-glib-dev_1.12.11+20110422.1-2_amd64.deb Sofia-SIP library glib/gobject interface development files
libsofia-sip-ua-glib3_1.12.11+20110422.1-2_amd64.deb Sofia-SIP library glib/gobject interfaces runtime
libsofia-sip-ua0_1.12.11+20110422.1-2_amd64.deb Sofia-SIP library runtime
libsofthsm-dev_1.3.7-2+deb8u1_amd64.deb a cryptographic store accessible through a PKCS #11
libsofthsm_1.3.7-2+deb8u1_amd64.deb a cryptographic store accessible through a PKCS #11
libsoftware-license-perl_0.103010-3_all.deb module providing templated software licenses
Advertisement
Advertisement